MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
sc::KeyValValue Class Reference
Inheritance diagram for sc::KeyValValue:

List of all members.

## Public Types

enum | KeyValValueError { OK, WrongType }

## Public Member Functions

| KeyValValue (const KeyValValue &)
virtual KeyValValue::KeyValValueError | doublevalue (double &) const
virtual KeyValValue::KeyValValueError | booleanvalue (int &) const
virtual KeyValValue::KeyValValueError | floatvalue (float &) const
virtual KeyValValue::KeyValValueError | charvalue (char &) const
virtual KeyValValue::KeyValValueError | intvalue (int &) const
virtual KeyValValue::KeyValValueError | sizevalue (size_t &) const
virtual KeyValValue::KeyValValueError | pcharvalue (const char *&) const
virtual KeyValValue::KeyValValueError | stringvalue (std::string &) const
virtual KeyValValue::KeyValValueError | describedclassvalue (Ref< DescribedClass > &) const
virtual void | print (std::ostream &o=ExEnv::out0()) const

The documentation for this class was generated from the following file:

- keyvalval.h